%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%define __debug_install_post %{_mingw32_debug_install_post}

# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:           mingw32-glib-networking
Version:        2.30.1
Release:        1%{?dist}
Summary:        MinGW Windows glib-networking library

License:        LGPLv2+
Group:          Development/Libraries
URL:            http://www.gnome.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/glib-networking/%{release_version}/glib-networking-%{version}.tar.xz
# https://bugzilla.gnome.org/show_bug.cgi?id=662085
Patch0:         0001-proxy-gnome-Only-build-the-test-if-we-are-building-g.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-glib2
BuildRequires:  mingw32-gnutls >= 2.10
BuildRequires:  pkgconfig
BuildRequires:  intltool

%description
This package contains modules that extend the networking support in GIO.


%{?_mingw32_debug_package}


%prep
%setup -q -n glib-networking-%{version}
%patch0 -p1 -b .gnome_proxy


%build
%{_mingw32_configure} --disable-static
make %{?_smp_mflags} V=1


%install
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/gio/modules/*.dll.a
rm -f $RPM_BUILD_ROOT%{_mingw32_libdir}/gio/modules/*.la

%find_lang glib-networking


%files -f glib-networking.lang
%doc COPYING
%{_mingw32_libdir}/gio/modules/libgiognutls.dll


%changelog
* Tue Oct 18 2011 Kalev Lember <kalevlember@gmail.com> - 2.30.1-1
- Update to 2.30.1
- Added a patch to fix build without gnome-proxy

* Sun Oct 02 2011 Kalev Lember <kalevlember@gmail.com> - 2.30.0-1
- Update to 2.30.0
- Use automatic mingw dep extraction
- Switch to .xz tarballs

* Thu Apr 28 2011 Kalev Lember <kalev@smartlink.ee> - 2.28.6.1-2
- Dropped Requires: pkgconfig (#700348)

* Wed Apr 27 2011 Kalev Lember <kalev@smartlink.ee> - 2.28.6.1-1
- Initial RPM release
